/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package monitor.utiles;

import java.lang.*;

public final class datosMensaje implements Comparable<datosMensaje> {

   public String mesa;
   public String nombre;
   public String tiket;
   public String salaEspera;
   public String hora;
   public String localizacion;
   public String localizacionCorta = " ";
   public java.util.Date fecha;

   public datosMensaje(String s1, String s2, String s3, String s4, String s5, String s6) {
      mesa = s1;
      nombre = s2;
      tiket = s3;
      salaEspera = s4;
      hora = s5;
      fecha = new java.util.Date();
      localizacion = s6.trim();
      if (localizacion.length() > 1) {
         String[] a = s6.split(" ");
         if(a.length == 1) {
             localizacionCorta = izquierda(a[0], 6);
         } else {
            localizacionCorta = izquierda(a[0], 2) + "." + izquierda(a[1], 3);
            if(localizacionCorta.trim().equals(".")) {
                localizacionCorta = "";
            }
         }
      } else {
         localizacion = " ";
      }
   }

   public void resetFecha() {
      fecha = new java.util.Date();
   }

   String izquierda(String s, int n) {
      if (s.length() > n) {
         return s.substring(0, n);
      }
      return s;
   }

   @Override
   public int compareTo(datosMensaje o) {
      return this.tiket.compareTo(o.tiket);
   }
}
